Issue #5286 has been updated by Yuki Sonoda.


=begin
applied at r33249.
=end

----------------------------------------
Backport #5286: please backport r33201 ([Bug #5279] String#encode might raise SecurityError if $SAFE >=3)
http://redmine.ruby-lang.org/issues/5286

Author: Kazuhiko Shiozaki
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 


Please backport r33201 that fixes the following bug.
[Bug #5279] [ruby-dev:44469] $SAFE???3以?????????String#encode???SecurityError????????????????????????????

Kazuhiko


-- 
http://redmine.ruby-lang.org